Subject: [PATCH] arm64: efi: make sure vmlinux load address aligned on 2MBytes

From: [email-masked] (Timur Tabi)
Date: Tue, 27 Oct 2015 21:13:22 -0500

Ard Biesheuvel wrote:
> No. I screwed up the patch since the trailing ) should not be there,
> but we do need to round first, and only then add the offset.

But if the offset is not a multiple of 2MB, won't the address passed to 
allocate_pages be unaligned?  I'll test your patch on our system, but I 
thought the problem was that the allocated address must be aligned.

-- 
Sent by an employee of the Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the
Code Aurora Forum, hosted by The Linux Foundation.